@import 'vars';

.mainContainer {
  background-color: $c-black;
  padding-top: 18px;
  margin-left: 17px !important;
  
  .header {
    display: grid;
    margin: 0;

    top: 18px;
    left: 17px;

    @media (min-width: 768px) {
      margin: 0 24px;
    }

    .logo {
      display: flex;
      align-items: center;
      height: 100%;
      width: 100%;

      @media (min-width: 768px) {
        display: none;
      }

      img {
        height: 34px;
      }

      .link {
        display: flex;
        align-items: center;
        font-size: 24px;
      }
    }

    .container {
      align-items: center;
      justify-content: flex-end;
      grid-column: 2 / span 2;
      height: auto;
      display: none;

      @media (min-width: 768px) {
        display: flex;
        height: 124px;
      }

      .navlinks {
        display: flex;
        list-style: none;

        .linkContainer {
          margin-left: 24px;

          .link {
            display: flex;
            outline: none;
            border: none;

            &:hover {
              cursor: pointer;
            }

            img {
              height: 26px;
            }
          }
        }
      }
    }
  }
}
